package cn.chnmuseum.party.service;

import cn.chnmuseum.party.model.TUser;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户 服务接口
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-22
 */
public interface TUserService extends IService<TUser> {

    TUser selectByUsername(String userName);

    Page<TUser> getList(Page<TUser> page, TUser user);

    TUser selectById(String id);

    List<TUser> getUserList(TUser user);

    boolean addBox(TUser user);

    List<TUser> getUserListByRole(Map<String, Object> map);

}
