package cn.chnmuseum.party.vo;

import io.swagger.annotations.ApiModel;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @description:
 * @author: nh
 * @create: 2021-06-22 11:08
 **/
@ApiModel("学习内容展板中的参考资料")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class AssetVo implements Serializable {

    private String id;

    private String boardName;

    private String fileName;

    private String fileType;
}
